Skip to main content
cURL
curl --request GET \
  --url https://test.deribit.com/api/v2/private/create_api_key \
  --header 'Content-Type: application/json' \
  --data '
{
  "jsonrpc": "2.0",
  "id": 8974,
  "method": "private/create_api_key",
  "params": {
    "name": "Public key 1",
    "max_scope": "account:read trade:read block_trade:read_write wallet:none",
    "public_key": "-----BEGIN PUBLIC KEY-----\nMCowBQYDK2VwAyEAM7FWhKquNqLmTOV4hfYT5r3AjrYiORTT6Tn5HIfFNV8=\n-----END PUBLIC KEY-----"
  }
}
'
import requests

url = "https://test.deribit.com/api/v2/private/create_api_key"

payload = {
"jsonrpc": "2.0",
"id": 8974,
"method": "private/create_api_key",
"params": {
"name": "Public key 1",
"max_scope": "account:read trade:read block_trade:read_write wallet:none",
"public_key": "-----BEGIN PUBLIC KEY-----
MCowBQYDK2VwAyEAM7FWhKquNqLmTOV4hfYT5r3AjrYiORTT6Tn5HIfFNV8=
-----END PUBLIC KEY-----"
}
}
headers = {"Content-Type": "application/json"}

response = requests.get(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
jsonrpc: '2.0',
id: 8974,
method: 'private/create_api_key',
params: {
name: 'Public key 1',
max_scope: 'account:read trade:read block_trade:read_write wallet:none',
public_key: '-----BEGIN PUBLIC KEY-----\nMCowBQYDK2VwAyEAM7FWhKquNqLmTOV4hfYT5r3AjrYiORTT6Tn5HIfFNV8=\n-----END PUBLIC KEY-----'
}
})
};

fetch('https://test.deribit.com/api/v2/private/create_api_key', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "jsonrpc": "2.0",
  "id": 2453,
  "result": {
    "timestamp": 1560242482758,
    "max_scope": "account:read_write block_trade:read trade:read_write wallet:read_write",
    "id": 3,
    "enabled": true,
    "default": false,
    "client_secret": "B6RsF9rrLY5ezEGBQkyLlV-UC7whyPJ34BMA-kKYpes",
    "client_id": "1sXMQBhM",
    "name": "NewKeyName"
  }
}

Query Parameters

max_scope
string[]
required

Describes maximal access for tokens generated with given key. If scope is not provided, its value is set as none.

๐Ÿ“– Related Article: Access Scope

Example:
[
"account:read",
"trade:read",
"block_trade:read_write",
"wallet:none"
]
name
string

Name of key (only letters, numbers and underscores allowed; maximum length - 16 characters)

Example:

"TestName"

public_key
string

ED25519 or RSA PEM Encoded public key that should be used to create asymmetric API Key for signing requests/authentication requests with user's private key.

๐Ÿ“– Related Article: Asymmetric API keys

Example:

"-----BEGIN PUBLIC KEY-----\nMCowBQYDK2VwAyEAM7FWhKquNqLmTOV4hfYT5r3AjrYiORTT6Tn5HIfFNV8=\n-----END PUBLIC KEY-----"

enabled_features
enum<string>[]

List of enabled advanced on-key features. Available options:
- restricted_block_trades: Limit the block_trade read the scope of the API key to block trades that have been made using this specific API key
- block_trade_approval: Block trades created using this API key require additional user approval. Methods that use block_rfq scope are not affected by Block Trade approval feature

Available options:
restricted_block_trades,
block_trade_approval

Response

200 - application/json

Success response

jsonrpc
enum<string>
required

The JSON-RPC version (2.0)

Available options:
2.0
result
object
required
id
integer

The id that was sent in the request